edu.wpi.first.wpilibj.hal

## Class PDPJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.PDPJNI

-     public class PDPJNI
      extends JNIWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDPJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkPDPChannel(int channel)`
    `static boolean` | `checkPDPModule(int module)`
    `static void` | `clearPDPStickyFaults(int module)`
    `static double` | `getPDPChannelCurrent(byte channel, int module)`
    `static double` | `getPDPTemperature(int module)`
    `static double` | `getPDPTotalCurrent(int module)`
    `static double` | `getPDPTotalEnergy(int module)`
    `static double` | `getPDPTotalPower(int module)`
    `static double` | `getPDPVoltage(int module)`
    `static void` | `initializePDP(int module)`
    `static void` | `resetPDPTotalEnergy(int module)`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDPJNI

          public PDPJNI()

  - ### Method Detail

    - #### initializePDP

          public static void initializePDP(int module)

    - #### checkPDPModule

          public static boolean checkPDPModule(int module)

    - #### checkPDPChannel

          public static boolean checkPDPChannel(int channel)

    - #### getPDPTemperature

          public static double getPDPTemperature(int module)

    - #### getPDPVoltage

          public static double getPDPVoltage(int module)

    - #### getPDPChannelCurrent

          public static double getPDPChannelCurrent(byte channel,
                                                    int module)

    - #### getPDPTotalCurrent

          public static double getPDPTotalCurrent(int module)

    - #### getPDPTotalPower

          public static double getPDPTotalPower(int module)

    - #### getPDPTotalEnergy

          public static double getPDPTotalEnergy(int module)

    - #### resetPDPTotalEnergy

          public static void resetPDPTotalEnergy(int module)

    - #### clearPDPStickyFaults

          public static void clearPDPStickyFaults(int module)